package com.yonge.cooleshow.biz.dal.dto.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import com.yonge.cooleshow.biz.dal.convert.AuthStatusConvert;
import com.yonge.cooleshow.biz.dal.convert.TradeStatusConvert;
import com.yonge.cooleshow.biz.dal.enums.AuthStatusEnum;
import com.yonge.toolset.payment.base.enums.TradeStatusEnum;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/4/15 18:01
 */
public class UserWithdrawalExport {
    @ExcelProperty(value = "结算编号", index = 0)
    private Long id;
    @ExcelProperty(value = "结算人", index = 1)
    private String	withdrawaUser;
    @ExcelProperty(value = "结算金额", index = 2)
    private BigDecimal amount;
    @ExcelProperty(value = "发起时间", index = 3)
    private Date createTime;
    @ExcelProperty(value = "开户行", index = 4)
    private String bankName;
    @ExcelProperty(value = "银行卡号", index = 5)
    private String bankCard;
    @ExcelProperty(value = "转账金额(元)", index = 6)
    private BigDecimal actualAmount;
    @ExcelProperty(value = "银行流水号", index = 7)
    private String tradeNo;
    @ExcelProperty(value = "审核状态", index = 8,converter = AuthStatusConvert.class)
    private AuthStatusEnum authStatus;
    @ExcelProperty(value = "转账状态", index = 9,converter = TradeStatusConvert.class)
    private TradeStatusEnum tradeStatus;
    @ExcelProperty(value = "审核时间", index = 10)
    private Date authTime;
    @ExcelProperty(value = "审核人", index = 11)
    private String verifyUser;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getWithdrawaUser() {
        return withdrawaUser;
    }

    public void setWithdrawaUser(String withdrawaUser) {
        this.withdrawaUser = withdrawaUser;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getBankName() {
        return bankName;
    }

    public void setBankName(String bankName) {
        this.bankName = bankName;
    }

    public String getBankCard() {
        return bankCard;
    }

    public void setBankCard(String bankCard) {
        this.bankCard = bankCard;
    }

    public BigDecimal getActualAmount() {
        return actualAmount;
    }

    public void setActualAmount(BigDecimal actualAmount) {
        this.actualAmount = actualAmount;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public AuthStatusEnum getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(AuthStatusEnum authStatus) {
        this.authStatus = authStatus;
    }

    public TradeStatusEnum getTradeStatus() {
        return tradeStatus;
    }

    public void setTradeStatus(TradeStatusEnum tradeStatus) {
        this.tradeStatus = tradeStatus;
    }

    public Date getAuthTime() {
        return authTime;
    }

    public void setAuthTime(Date authTime) {
        this.authTime = authTime;
    }

    public String getVerifyUser() {
        return verifyUser;
    }

    public void setVerifyUser(String verifyUser) {
        this.verifyUser = verifyUser;
    }
}
